void main( void )
{
int &mrandom;
}

void hit( void )
{

&mrandom = random(3, 1);

 if (&mrandom == 1)
 say_stop("`4小朋友你当心点！我迟早也要抓狂的！", &current_sprite);
 if (&mrandom == 2)
 say_stop("`4哦，想当小武士啊？ <冷笑>", &current_sprite);
 if (&mrandom == 3)
 say_stop("`4不错嘛... 和猪猪训练出来的成果吗？", &current_sprite);


}


void talk( void)
{
move_stop(1, 2, 193, 1);
move_stop(1, 8, 190, 1);
 if (&story == 5)
 {
 freeze(1);
 &letter = 1;
 say_stop("`4真是不幸啊， 丁克你要振作起来。", &current_sprite);
 say_stop("谢谢，我会的。", 1);
 wait(250);
 say_stop("`4哦对了，有人寄给你一封信，已经放到你家里了，", &current_sprite);
 say_stop("`4你应该去看看。", &current_sprite);
 wait(250);
 say_stop("我知道了，谢谢。", 1);
 unfreeze(1);
 return;
 }
freeze(1);


choice_start();
"请护卫放行"
"算了吧"
choice_end();
wait(200);
if (&result == 1)
  {
  say_stop("Renton护卫。 我需要出去办事，就让我出去吧。", 1);
  wait(200);
  say_stop("`4不可以，丁克小朋友，外面的世界对你来说太危险了。", &current_sprite);
  wait(200);
  say_stop("小朋友？ 从今以后,请称我为武士。", 1);
  wait(200);
  say_stop("`4笑话...去摆弄你的猪吧。 <嘿嘿>", &current_sprite);

  }
unfreeze(1);



}
